Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::DocQualCallbacks Struct Reference

List of all members.

## Public Member Functions

| DocQualCallbacks (WERD_RES *word0)
void | CountMatchingBlobs (int index)
void | CountAcceptedBlobs (int index)
void | AcceptIfGoodQuality (int index)

## Public Attributes

WERD_RES * | word
inT16 | match_count
inT16 | accepted_match_count

## Detailed Description

Definition at line 38 of file docqual.cpp.

## Constructor & Destructor Documentation

tesseract::DocQualCallbacks::DocQualCallbacks | ( | WERD_RES * | word0 | ) |

inlineexplicit

Definition at line 39 of file docqual.cpp.

: word(word0), match_count(0), accepted_match_count(0) {}

## Member Function Documentation

void tesseract::DocQualCallbacks::AcceptIfGoodQuality | ( | int | index | ) |

inline

Definition at line 52 of file docqual.cpp.

{
if (word->reject_map[index].accept_if_good_quality())
word->reject_map[index].setrej_quality_accept();
}

void tesseract::DocQualCallbacks::CountAcceptedBlobs | ( | int | index | ) |

inline

Definition at line 46 of file docqual.cpp.

{
if (word->reject_map[index].accepted())
++accepted_match_count;
++match_count;
}

void tesseract::DocQualCallbacks::CountMatchingBlobs | ( | int | index | ) |

inline

Definition at line 42 of file docqual.cpp.

{
++match_count;
}

## Member Data Documentation

inT16 tesseract::DocQualCallbacks::accepted_match_count

Definition at line 59 of file docqual.cpp.

inT16 tesseract::DocQualCallbacks::match_count

Definition at line 58 of file docqual.cpp.

WERD_RES* tesseract::DocQualCallbacks::word

Definition at line 57 of file docqual.cpp.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccmain/docqual.cpp